> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 조직 세부 정보 업데이트

> 조직 필드를 업데이트합니다. 관리자 auth 키 역할이 필요합니다.



## OpenAPI

````yaml /ko/products/cloud/api-reference/cloud-openapi.json patch /v1/organizations/{organizationId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}:
    patch:
      tags:
        - Organization
      summary: 조직 세부 정보 업데이트
      description: 조직 필드를 업데이트합니다. 관리자 auth 키 역할이 필요합니다.
      parameters:
        - description: 업데이트할 조직의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationPatchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Organization'
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공적인 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    OrganizationPatchRequest:
      properties:
        name:
          description: 조직 이름입니다.
          type: string
        privateEndpoints:
          $ref: '#/components/schemas/OrganizationPrivateEndpointsPatch'
    Organization:
      properties:
        byocConfig:
          description: 조직의 BYOC 구성
          items:
            $ref: '#/components/schemas/ByocConfig'
          type: array
        createdAt:
          description: 조직이 생성된 timestamp입니다. ISO-8601 형식입니다.
          format: date-time
          type: string
        id:
          description: 고유한 조직 ID입니다.
          format: uuid
          type: string
        name:
          description: 조직 이름입니다.
          type: string
        privateEndpoints:
          description: 조직의 private endpoints 목록
          items:
            $ref: '#/components/schemas/OrganizationPrivateEndpoint'
          type: array
    OrganizationPrivateEndpointsPatch:
      properties:
        add:
          deprecated: true
          description: >-
            추가할 요소입니다. "remove" 부분이 처리된 후 실행됩니다. Private Endpoint를 수정하려면 대신
            `Update Service Basic Details` endpoint를 사용하십시오.
          items:
            $ref: '#/components/schemas/OrganizationPatchPrivateEndpoint'
          type: array
        remove:
          description: 제거할 요소입니다. "add" 부분이 처리되기 전에 실행됩니다.
          items:
            $ref: '#/components/schemas/OrganizationPatchPrivateEndpoint'
          type: array
    ByocConfig:
      properties:
        accountName:
          description: 계정 이름
          type: string
        cloudProvider:
          description: 해당 Region의 클라우드 제공업체
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: BYOC 구성의 고유 식별자
          type: string
        regionId:
          description: BYOC가 구성되어 있으며 service를 생성할 수 있는 Region
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: 인프라의 상태
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
    OrganizationPrivateEndpoint:
      properties:
        cloudProvider:
          description: Private Endpoint가 위치한 클라우드 제공업체
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: Private Endpoint 설명
          type: string
        id:
          description: Private Endpoint 식별자
          type: string
        region:
          description: Private Endpoint가 위치한 Region
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
    OrganizationPatchPrivateEndpoint:
      properties:
        cloudProvider:
          description: Private Endpoint가 위치한 클라우드 제공업체
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: Private Endpoint에 대한 선택적 설명
          type: string
        id:
          description: Private Endpoint 식별자
          type: string
        region:
          description: Private Endpoint가 위치한 Region
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 키 ID와 키 시크릿을 사용하십시오:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````